Bug 19288 - [QT3TS] K2-DataFunc-3
Summary: [QT3TS] K2-DataFunc-3
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3 & XPath 3 Test Suite (show other bugs)
Version: Working drafts
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: O'Neil Delpratt
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-05 13:19 UTC by Tim Mills
Modified: 2012-10-09 14:50 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2012-10-05 13:19:21 UTC
There is a typo in this test.

let $x e :=

should be

let $x :=

<test-case name="K2-DataFunc-3" covers="fn-data">
      <description> fn:data() allows zero arguments in XP30/XQ30. </description>
      <created by="Michael Kay" on="2012-09-27"/>
      <dependency type="spec" value="XQ30+"/>
      <test><![CDATA[
      	let $x e := <e><f>1</f></e>
      	return $x/data()
      ]]>	
      </test>
      <result>
        <all-of>
          <assert-string-value>1</assert-string-value>
          <assert-type>xs:untypedAtomic</assert-type>
        </all-of>  
      </result>
   </test-case>
Comment 1 Michael Kay 2012-10-05 16:58:52 UTC
Fixed
Comment 2 Tim Mills 2012-10-09 14:50:23 UTC
Thanks.